# $Revision: 1.4 $, $Date: 2012/01/27 08:25:05 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Test
%define	pnam	Block
Summary:	Test::Block - Specify fine granularity test plans
Summary(pl.UTF-8):	Test::Block - określanie szczegółowych planów testów
Name:		perl-Test-Block
Version:	0.13
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f4e289f7f2a333983f1e4d578d82f5a3
URL:		http://search.cpan.org/dist/Test-Block/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Test::Builder::Tester) >= 1.01
BuildRequires:	perl-Test-Exception >= 0.15
%endif
Requires:	perl-base
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	perl(Tie::StdScalar)

%description
This module allows you to specify the number of expected tests at a
finer level of granularity than an entire test script. It is built
with Test::Builder and plays happily with Test::More and friends.

%description -l pl.UTF-8
Ten moduł pozwala na określanie liczby oczekiwanych testów na poziomie
dokładniejszym niż cały skrypt testowy. Jest stworzony w oparciu o
Test::Builder i dobrze współpracuje z Test::More oraz podobnymi.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Test/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Test-Block.spec,v $
Revision 1.4  2012/01/27 08:25:05  zbyniu
- up to 0.13

Revision 1.3  2009/10/23 06:49:55  amateja
- don't require perl(Tie::StdScalar), it's provided within Scalar.pm in perl-base package and this way it's invisible for this mechanism
- release 2

Revision 1.2  2008/03/24 21:54:59  qboosh
- pl, generic URL

Revision 1.1  2008-01-08 09:06:53  agaran
- initial, builds here, rel 1
